<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.dir-context">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="authentication-context,authentication-level,connection-timeout,credential-reference,enable-connection-pooling,module,principal,properties,read-timeout,referral-mode,ssl-context,url"/>
        <elem name="addr-params" value="profile,host,subsystem,dir-context"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.dir-context.$dir-context"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
        <capability name="$profile.org.wildfly.security.authentication-context.$authentication-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="authentication-level" nillable="true"/>
        <param name="read-timeout" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="credential-reference" nillable="true"/>
        <param name="ssl-context" nillable="true"/>
        <param name="url"/>
        <param name="referral-mode" nillable="true"/>
        <param name="connection-timeout" nillable="true"/>
        <param name="principal" nillable="true"/>
        <param name="enable-connection-pooling" nillable="true"/>
        <param name="dir-context" feature-id="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="authentication-context" nillable="true"/>
        <param name="properties" nillable="true"/>
    </params>
</feature-spec>